info.bioinfweb.jphyloio.formats

## Class NodeEdgeInfo

- java.lang.Object
- - info.bioinfweb.jphyloio.formats.NodeEdgeInfo

-     public class NodeEdgeInfo
      extends java.lang.Object

  This class is used by `JPhyloIOEventReader`s processing phylogenetic trees or networks to model nodes and edges.
  Author:
    Sarah Wiechers, Ben Stöver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeEdgeInfo(java.lang.String id, double length, java.util.Collection<JPhyloIOEvent> nestedNodeEvents, java.util.Collection<JPhyloIOEvent> nestedEdgeEvents)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getID()`
    `java.lang.String` | `getLabel()`
    `double` | `getLength()`
    `java.util.Collection<JPhyloIOEvent>` | `getNestedEdgeEvents()`
    `java.util.Collection<JPhyloIOEvent>` | `getNestedNodeEvents()`
    `java.lang.String` | `getSource()`
    `java.lang.String` | `getTarget()`
    `boolean` | `isRoot()`
    `void` | `setIsRoot(boolean isRoot)`
    `void` | `setLabel(java.lang.String label)`
    `void` | `setLength(double length)`
    `void` | `setSource(java.lang.String source)`
    `void` | `setTarget(java.lang.String target)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeEdgeInfo

          public NodeEdgeInfo(java.lang.String id,
                              double length,
                              java.util.Collection<JPhyloIOEvent> nestedNodeEvents,
                              java.util.Collection<JPhyloIOEvent> nestedEdgeEvents)

  - ### Method Detail

    - #### getID

          public java.lang.String getID()

    - #### getLabel

          public java.lang.String getLabel()

    - #### setLabel

          public void setLabel(java.lang.String label)

    - #### isRoot

          public boolean isRoot()

    - #### setIsRoot

          public void setIsRoot(boolean isRoot)

    - #### getSource

          public java.lang.String getSource()

    - #### setSource

          public void setSource(java.lang.String source)

    - #### getTarget

          public java.lang.String getTarget()

    - #### setTarget

          public void setTarget(java.lang.String target)

    - #### getLength

          public double getLength()

    - #### setLength

          public void setLength(double length)

    - #### getNestedNodeEvents

          public java.util.Collection<JPhyloIOEvent> getNestedNodeEvents()

    - #### getNestedEdgeEvents

          public java.util.Collection<JPhyloIOEvent> getNestedEdgeEvents()